### Method

# Lfb Event set_sound_file

#### Declaration [src]

    void
    lfb_event_set_sound_file (
      LfbEvent* self,
      const char* sound_file
    )

#### Description [src]

Tells the feedback server to use the given sound file if a sound is to be played. It will only be used if sound is suitable for the events feedback level.

A value of `NULL` (the default) lets the server pick the sound based on the event.

Sets property | `Lfb.Event:sound-file`

#### Parameters

`sound_file`

  Type: `const char*`

  The sound file.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.